# SubmitRequest | xrpl
Documentation for xrpl

# Interface SubmitRequest

The submit method applies a transaction and sends it to the network to be confirmed and included in future ledgers. Expects a response in the form of a SubmitResponse.

#### Hierarchy

- BaseRequest
  - SubmitRequest

- Defined in packages/xrpl/src/models/methods/submit.ts:12

#####
Index

### Properties

api_version?
command
fail_hard?
id?
tx_blob

## Properties

### `Optional` api_version

api_version?: number

The API version to use. If omitted, use version 1.

Inherited from BaseRequest.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:16

### command

command: "submit"

The name of the API method.

Overrides BaseRequest.command

- Defined in packages/xrpl/src/models/methods/submit.ts:13

### `Optional` fail_hard

fail_hard?: boolean

If true, and the transaction fails locally, do not retry or relay the transaction to other servers. The default is false.

- Defined in packages/xrpl/src/models/methods/submit.ts:20

### `Optional` id

id?: string | number

A unique value to identify this request. The response to this request uses the same id field. This way, even if responses arrive out of order, you know which request prompted which response.

Inherited from BaseRequest.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:12

### tx_blob

tx_blob: string

The complete transaction in hex string format.

- Defined in packages/xrpl/src/models/methods/submit.ts:15

Generated using TypeDoc